# ModelElement

API Documentation: | `ModelElement`

Known Subtypes: |
`ComponentSpec`

Note: This class is incubating and may change in a future version of Gradle.

Represents an element in a model. Elements are arranged in a hierarchy.

### Properties

Property | Description
`displayName` | Incubating Returns a human-consumable display name for this element.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `displayName` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns a human-consumable display name for this element.